ghc-9.6.3: The GHC API

Safe Haskell | Safe-Inferred
Language | Haskell2010

GHC.CoreToStg

# Documentation

data CoreToStgOpts Source #

Constructors

CoreToStgOpts |

Fields

- coreToStg_platform :: Platform
- coreToStg_ways :: Ways
- coreToStg_AutoSccsOnIndividualCafs :: Bool
- coreToStg_InfoTableMap :: Bool
- coreToStg_ExternalDynamicRefs :: Bool
- coreToStg_stgDebugOpts :: StgDebugOpts

coreToStg :: CoreToStgOpts -> Module -> ModLocation -> CoreProgram -> ([StgTopBinding], InfoTableProvMap, CollectedCCs) Source #